package com.huashe.park.domain.dto.cons;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.ruoyi.common.core.domain.model.LoginUser;

public class MachineLogin extends LoginUser {
    private static final long serialVersionUID = 1L;

    @JsonProperty("sn")
    private String sn;

    @JsonProperty("pwd")
    private String pwd;

    @JsonProperty("no")
    private String no;

    @JsonProperty("x")
    private Double x;

    @JsonProperty("y")
    private Double y;

    @JsonProperty("constructionType")
    private Integer constructionType;

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Double getX() {
        return x;
    }

    public void setX(Double x) {
        this.x = x;
    }

    public Double getY() {
        return y;
    }

    public void setY(Double y) {
        this.y = y;
    }

    public Integer getConstructionType() {
        return constructionType;
    }

    public void setConstructionType(Integer constructionType) {
        this.constructionType = constructionType;
    }

    @Override
    public String getUsername() {
        return this.sn;
    }

    @Override
    public String getPassword() {
        return this.pwd;
    }
}
